<div class="register-container">
  <mat-card class="register-card">
    <mat-card-header>
      <mat-card-title>Register</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="this.registerForm" (ngSubmit)="this.register(this.registerForm.value)">
        <table cellspacing="0" class="register-inputs-container">
          <tr>
            <td>
              <mat-form-field>
                <input matInput placeholder="Name" username="username" required class="register-input"
                  formControlName="username">

                <mat-error *ngIf="this.registerForm.controls['username'].errors?.required">
                  The username is required!
                </mat-error>
                <mat-error *ngIf="this.registerForm.controls['username'].errors?.minlength">
                  The username must be at least 4 symbols long!
                </mat-error>
                <mat-error *ngIf="this.registerForm.controls['username'].errors?.maxlength">
                  The username must be shorter that 20 symbols!
                </mat-error>


              </mat-form-field>
            </td>
          </tr>
          <tr>
            <td>
              <mat-form-field>
                <input matInput placeholder="Password" type="password" name="password" required class="register-input"
                  formControlName="password">

                <mat-error *ngIf="this.registerForm.controls['password'].errors?.required">
                  The password is required!
                </mat-error>

                <mat-error *ngIf="this.registerForm.controls['password'].errors?.minlength">
                  Minimum password length 4 characters!
                </mat-error>

                <mat-error *ngIf="this.registerForm.controls['password'].errors?.maxlength">
                  Maximum password length 15 characters!
                </mat-error>

              </mat-form-field>
            </td>
          </tr>
        </table>

        <br />
        <button mat-raised-button color="primary" type="submit" [disabled]="this.registerForm.invalid">Register</button>

      </form>
    </mat-card-content>
  </mat-card>
</div>
